org.eclipse.rdf4j.rio.helpers

## Class RDFJSONParserSettings

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.RDFJSONParserSettings

-     public class RDFJSONParserSettings
      extends Object

  A selection of parser settings specific to RDF/JSON parsers.

  Several of these settings can be overridden by means of a system property, but only if specified at JVM startup time.

  Author:
    Peter Ansell

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RioSetting<Boolean>` | `FAIL_ON_MULTIPLE_OBJECT_DATATYPES` Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple datatypes for a single object in a single statement.
    `static RioSetting<Boolean>` | `FAIL_ON_MULTIPLE_OBJECT_LANGUAGES` Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple languages for a single object in a single statement.
    `static RioSetting<Boolean>` | `FAIL_ON_MULTIPLE_OBJECT_TYPES` Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple types for a single object in a single statement.
    `static RioSetting<Boolean>` | `FAIL_ON_MULTIPLE_OBJECT_VALUES` Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple values for a single object in a single statement.
    `static RioSetting<Boolean>` | `FAIL_ON_UNKNOWN_PROPERTY` Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple properties that it does not recognize in the JSON document.
    `static RioSetting<Boolean>` | `SUPPORT_GRAPHS_EXTENSION` Boolean setting for parser to determine whether an RDF/JSON parser should support the graphs extension to make it a quads format.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FAIL_ON_MULTIPLE_OBJECT_VALUES

          public static final RioSetting<Boolean> FAIL_ON_MULTIPLE_OBJECT_VALUES

      Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple values for a single object in a single statement.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfjson.fail_on_multiple_object_values`.

    - #### FAIL_ON_MULTIPLE_OBJECT_TYPES

          public static final RioSetting<Boolean> FAIL_ON_MULTIPLE_OBJECT_TYPES

      Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple types for a single object in a single statement.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfjson.fail_on_multiple_object_types`.

    - #### FAIL_ON_MULTIPLE_OBJECT_LANGUAGES

          public static final RioSetting<Boolean> FAIL_ON_MULTIPLE_OBJECT_LANGUAGES

      Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple languages for a single object in a single statement.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfjson.fail_on_multiple_object_languages`.

    - #### FAIL_ON_MULTIPLE_OBJECT_DATATYPES

          public static final RioSetting<Boolean> FAIL_ON_MULTIPLE_OBJECT_DATATYPES

      Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple datatypes for a single object in a single statement.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfjson.fail_on_multiple_object_datatypes`.

    - #### FAIL_ON_UNKNOWN_PROPERTY

          public static final RioSetting<Boolean> FAIL_ON_UNKNOWN_PROPERTY

      Boolean setting for parser to determine whether an RDF/JSON parser should fail if it finds multiple properties that it does not recognize in the JSON document.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfjson.fail_on_unknown_property`.

    - #### SUPPORT_GRAPHS_EXTENSION

          public static final RioSetting<Boolean> SUPPORT_GRAPHS_EXTENSION

      Boolean setting for parser to determine whether an RDF/JSON parser should support the graphs extension to make it a quads format.

      Defaults to true.

      Can be overridden by setting system property `org.eclipse.rdf4j.rio.rdfjson.support_graphs_extension`.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.